Package Details: librocket 1.2.1-4

Git Clone URL: https://aur.archlinux.org/librocket.git (read-only)
Package Base: librocket
Description: The HTML/CSS User Interface library
Upstream URL: http://librocket.com
Licenses: MIT
Conflicts: librocket-git
Submitter: carstene1ns
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 3
Popularity: 0.000000
First Submitted: 2015-08-09 13:24
Last Updated: 2015-08-09 13:24

Latest Comments

EndlessEden commented on 2017-08-26 05:30

Its been fixed, Upstream(GIT). I just added a PKGBUILD.
https://aur.archlinux.org/packages/librocket-git/

Abrer commented on 2016-10-10 04:50

Not working -- fail to build. Any chance on getting this looked at?

Lievelingsduif commented on 2016-10-05 14:25

Would you mind patching it? Maybe even printing on the screen that you have edited it? It's the only library I really need to run freeablo.

carstene1ns commented on 2016-10-03 21:14

Newer GCC (>6) is more strict by default, so this former warning is an error now. Unfortunately this project seems dead.
I do not know how stable their API is, so I would like to patch that specific issue instead of upgrading to some pre-release.

Lievelingsduif commented on 2016-10-03 12:50

It fails to build on me. Keep getting the error for line 57 and 64 for the FontDatabase.cpp file.
Says that it can't convert "bool" to "void*" in return.
Any way of fixing this?

PedroHLC commented on 2016-09-03 17:07

1.2.1 seems to fail build because of a "false" that is not casted to a nil pointer, but 1.3.0.0 pseudo-release is building fine (just need to move lib64 to lib at end)...